Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005782OCaml~DO NOT USE (was: OCaml general)public2012-10-10 00:422015-12-11 19:21
ReporterMartin Jambon 
Assigned To 
PrioritynormalSeveritytextReproducibilityalways
StatusclosedResolutionopen 
PlatformanyOSOS Version
Product Version4.00.1 
Target Version4.01.0+devFixed in Version4.01.0+dev 
Summary0005782: Confusing/incorrect error message for unexpected record literal
DescriptionThe error message about mixed labels occurs when a record literal is placed where an other type is expected, even if the expected type is not a record:

# ({ contents = 0 } : unit);;
Error: The record field label Pervasives.contents belongs to the type
       'a ref but is mixed here with labels of type unit
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0006117closed Confusing wording in error message 

-  Notes
(0008682)
doligez (administrator)
2013-01-03 16:29

Appears to be fixed in trunk, probably as a side-effect of the changes in record typing.

- Issue History
Date Modified Username Field Change
2012-10-10 00:42 Martin Jambon New Issue
2013-01-03 16:29 doligez Note Added: 0008682
2013-01-03 16:29 doligez Status new => resolved
2013-01-03 16:29 doligez Fixed in Version => 4.01.0+dev
2013-01-03 16:29 doligez Target Version => 4.01.0+dev
2013-08-04 15:48 gasche Relationship added has duplicate 0006117
2015-12-11 19:21 xleroy Status resolved => closed
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker